ng-uikit-pro-standard NPM install not working


Topic: ng-uikit-pro-standard NPM install not working

lalithkx asked 2 years ago

I had "ng-uikit-pro-standard": "git+https://oauth2:xxxxxxxxxxxxxxx@git.mdbootstrap.com/mdb/angular/ng-uikit-pro-standard.git#8.8.1" defined in package.json It worked before for 7.5.4. I tried without the version too.

Actual behavior remote: The project you were looking for could not be found. npm ERR! fatal: repository 'https://oauth2:ixxxxxxxxxxxxxxxx@git.mdbootstrap.com/mdb/angular/ng-uikit-pro-standard.git/' not found npm ERR! npm ERR! exited with error code: 128

Resources (screenshots, code snippets etc.) Old token expired. So I created a new token and used it. I upgraded to nodejs 12.x because of AWS requirements.


Xinthose commented 2 years ago

I am having the same issue, code 128.


elemech pro premium answered 2 years ago

I had this issue in Ubuntu 19. I had to change the permissions of node_modules first: chmod -R 777 ., then install mdbootstrap as non-root.


Konrad Stępień staff answered 2 years ago

Hi,

Can you try to replace token in package.json file? And then remove package-lock.json and node_modules.

If you do it please run npm i.

Could you do these things on a new project to rule out any errors related to the old project?

Best, Konrad.


lalithkx commented 2 years ago

I already tried deleting package-lock.json and node_modules folder and running npm i. I tried with a new project too as detailed in the 5 minute tutorial. But I could download it on another laptop copy the folder. This is a temporary solution though. I am using two nodejs versions side by side 10.16.1 and 12.16.1 using nvm because of AWS Lambda NodeJs new requirements.

The following is from the npm log file:

0 info it worked if it ends with ok 1 verbose cli [ 'C:\Program Files\nodejs\node.exe', 1 verbose cli 'C:\Program Files\nodejs\node_modules\npm\bin\npm-cli.js', 1 verbose cli
'install', 1 verbose cli
'git+https://oauth2:xxxxxxxxxxx@git.mdbootstrap.com/mdb/angular/ng-uikit-pro-standard.git#7.5.4', 1 verbose cli '--save' ] 2 info using npm@6.9.0 3 info using node@v10.16.1 4 verbose npm-session ebe6f696095e08f6 5 silly install loadCurrentTree 6 silly install readLocalPackageData 7 silly fetchPackageMetaData error for git+https://oauth2:xxxxxxxxxxx@git.mdbootstrap.com/mdb/angular/ng-uikit-pro-standard.git#7.5.4 Error while executing: 7 silly fetchPackageMetaData C:\Program Files\Git\cmd\git.EXE ls-remote -h -t https://oauth2:xxxxxxxxxxxxxxx@git.mdbootstrap.com/mdb/angular/ng-uikit-pro-standard.git 7 silly fetchPackageMetaData 7 silly fetchPackageMetaData remote: The project you were looking for could not be found. 7 silly fetchPackageMetaData fatal: repository 'https://oauth2:xxxxxxxxxxxxxx@git.mdbootstrap.com/mdb/angular/ng-uikit-pro-standard.git/' not found 7 silly fetchPackageMetaData 7 silly fetchPackageMetaData exited with error code: 128 8 timing stage:rollbackFailedOptional Completed in 1ms 9 timing stage:runTopLevelLifecycles Completed in 2874ms 10 verbose stack Error: exited with error code: 128 10 verbose stack at ChildProcess. (C:\Users\lalit\AppData\Roaming\nvm\v10.16.1\node_modules\npm\node_modules\pacote\lib\util\finished.js:12:19) 10 verbose stack at ChildProcess.emit (events.js:198:13) 10 verbose stack at maybeClose (internal/child_process.js:982:16) 10 verbose stack at Process.ChildProcess._handle.onexit (internal/child_process.js:259:5) 11 verbose cwd D:\Projects\TestMDBDownload 12 verbose Windows_NT 10.0.14393 13 verbose argv "C:\Program Files\nodejs\node.exe" "C:\Program Files\nodejs\node_modules\npm\bin\npm-cli.js" "install" "git+https://oauth2:xxxxxxxxxxxxxxxxx@git.mdbootstrap.com/mdb/angular/ng-uikit-pro-standard.git#7.5.4" "--save" 14 verbose node v10.16.1 15 verbose npm v6.9.0 16 error Error while executing: 16 error C:\Program Files\Git\cmd\git.EXE ls-remote -h -t https://oauth2:xxxxxxxxxxxxxxxx@git.mdbootstrap.com/mdb/angular/ng-uikit-pro-standard.git 16 error 16 error remote: The project you were looking for could not be found. 16 error fatal: repository 'https://oauth2:xxxxxxxxxxxxxxx@git.mdbootstrap.com/mdb/angular/ng-uikit-pro-standard.git/' not found 16 error 16 error exited with error code: 128 17 verbose exit [ 1, true ]


Konrad Stępień staff commented 2 years ago

Did you try to update GIT and npm on your computer? Everythings works on another laptop?


nick89 answered 2 years ago

Same problem here! Trying npm install git+https://oauth2:YOUR_TOKEN@git.mdbootstrap.com/mdb/angular/ng-uikit-pro-standard.git --save

and getting error code: 128

CAN YOU DO SOMETHING WITH IT?


Konrad Stępień staff commented 2 years ago

Could make you sure that you updated npm, node & git?


nick89 commented 2 years ago

Node.js v12.16.1. npm@6.14.4 git version 2.24.1


Mateusz Leciejewski staff pro commented 2 years ago

@nick89 please try to instal via npm again. It should work, I had to add the repositories back to your account.


nick89 commented 2 years ago

now it's working, Thanks


knutbecker answered 2 years ago

Hi there,

I have the same issue on my workstation and on my notebook. I followed this instruction:

*https://mdbootstrap.com/docs/angular/getting-started/quick-start/#token-generation*

npm install git+https://oauth2:XXXmy-tokenXXX@git.mdbootstrap.com/mdb/angular/ng-uikit-pro-standard.git --save

*npm ERR! code ENOENT npm ERR! syscall spawn git npm ERR! path git npm ERR! errno ENOENT npm ERR! enoent Error while executing: npm ERR! enoent undefined ls-remote -h -t https://oauth2:XXXmy-tokenXXX@git.mdbootstrap.com/mdb/angular/ng-uikit-pro-standard.git npm ERR! enoent npm ERR! enoent npm ERR! enoent spawn git ENOENT npm ERR! enoent This is related to npm not being able to find a file. npm ERR! enoent npm ERR! A complete log of this run can be found in: npm ERR! C:\Users\OMD\AppData\Roaming\npm-cache_logs\2020-05-27T04_38_22_933Z-debug.log*

Versions: npm@6.13.4 node@v12.15.0

Thank you in advance


Konrad Stępień staff commented 2 years ago

Hi @knutbecker,

Can you send me git version?


knutbecker commented 2 years ago

Hi Konrad,

thank you: git version 2.26.2.windows.1

Now the error message disappeared - but I only see this output:

npm install git+https://oauth2:xxxxmytokenxxxx@git.mdbootstrap.com/mdb/angular/ng-uikit-pro-standard.git --save [..................] / rollbackFailedOptional: verb npm-session d36d74bffdceebdf

But nothing happens more.


knutbecker commented 2 years ago

Hi Konrad,

meanwhile the installation is done. The message:

save [..................] / rollbackFailedOptional: verb npm-session d36d74bffdceebdf

appeared for about 10 minutes. After that a second message appeared for 10 minutes (...fs_event...). All in all - after 30 minutes the package was installed. Is there a reason why i takes so long? Even on my notebook it took this time.

Thank you


FabrizioFubelli commented a year ago

@knutbecker, you should just execute npm i ng-uikit-pro-standard --save. It should works fine.


Same Here i keep getting this error npm ERR! remote: The project you were looking for could not be found. npm ERR! fatal: repository 'https://git.mdbootstrap.com/mdb/angular/ng-uikit-pro-standard.git/' not found

am i missing something, i am very new to mdb


Adam Jakubowski staff commented a year ago

Hello,

I have already answered your question in this thread - https://mdbootstrap.com/support/angular/getting-error-128-when-run-npm-install-githttps/

Best regards,  Adam From MDB


Please insert min. 20 characters.
Status

Answered

Specification of the issue
  • User: Free
  • Premium support: No
  • Technology: MDB Angular
  • MDB Version: 8.8.1
  • Device: Laptop
  • Browser: All
  • OS: Windows
  • Provided sample code: No
  • Provided link: Yes